summaryrefslogtreecommitdiff
path: root/roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2
diff options
context:
space:
mode:
authorChristian Pointner <equinox@spreadspace.org>2019-02-24 23:33:03 +0100
committerChristian Pointner <equinox@spreadspace.org>2019-02-24 23:33:03 +0100
commit02ec06495725fc351011831bc28117487db05ccd (patch)
treeecbebad4d7e92464c85c212942a132490701c623 /roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2
parentadded sytemd units for forlmetschctl(d) (diff)
added dolmetsch rtp send/receive scripts
Diffstat (limited to 'roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2')
-rw-r--r--roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j214
1 files changed, 14 insertions, 0 deletions
diff --git a/roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2 b/roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2
new file mode 100644
index 00000000..c9a89f95
--- /dev/null
+++ b/roles/elevate/dolmetsch-raspi/templates/rtp-recv.sh.j2
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+HOST="$1"
+if [ -z "$HOST" ]; then
+ echo "usage: $0 <remote-host>"
+ exit 1
+fi
+
+#export GST_DEBUG=3
+exec gst-launch-1.0 rtpbin name=rtpbin latency=50 \
+ udpsrc port=5000 caps="application/x-rtp,media=(string)audio,encoding-name=(string)OPUS,clock-rate=(int)48000" ! rtpbin.recv_rtp_sink_0 \
+ rtpbin. ! rtpopusdepay ! opusdec ! alsasink \
+ udpsrc port=5001 ! rtpbin.recv_rtcp_sink_0 \
+ rtpbin.send_rtcp_src_0 ! udpsink "host=$HOST" port=5001 sync=false async=false